MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024835Open CASCADE[OCCT] OCCT:Visualizationpublic2014-04-15 19:162014-11-11 12:52
Reporteraba 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024835: Graphic structure for highlighting is not erased if presentable object for highlight is deleted.
DescriptionIf for shape highlighting StdSelect_BRepOwner is used, after PrsMgr_PresentationManager3d::Color() method is called during highlighting with color, highlight graphic structure is added to displayed structures array. But when unhighlighting and StdSelect_Shape is deleted , this structure is not erased from displayed structure list.
Steps To Reproducepload ALL;
vinit v;
box b 1 1 1;
vdisplay b;
vfit;
vselmode b 1 1;
# move mouse to highlight box vertices or call vmove command
vremove b
vclose v 1
vinit
# crash
TagsNo tags attached.
Test case numberbugs vis(004) bug24835
Attached Files

- Relationships

-  Notes
(0028939)
aba (developer)
2014-04-17 16:33

The git branch CR24835 is ready for review.

Dear apl,

please review.
(0028951)
apl (developer)
2014-04-17 19:04

Dear Bugmaster,

The branch is reviewed, please test.
(0029040)
mkv (tester)
2014-04-23 17:16

Dear BugMaster,

Branch CR24835 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 52cecd0aff7b40721fab0e7657ec81f9485a3321

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 410 (410 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
http://occt-tests/CR24835-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24835-master-occt/Windows-32-VC9/summary.html [^]
bugs vis(004) bug74, bug218, bug10781, bug23407_2, bug24412_1, bug24412_2, bug24762_coloredshape
bugs xde(005) bug23193

Testing cases:
http://occt-tests/CR24835-master-occt/Debian60-64/bugs/vis/bug24835.html [^]
http://occt-tests/CR24835-master-occt/Windows-32-VC9/bugs/vis/bug24835.html [^]
bugs vis(004) bug24835: OK

Testing on Linux:
Total MEMORY difference: 355098848 / 355432500
Total CPU difference: 54971.149999999856 / 55259.769999999735

Testing on Windows:
Total MEMORY difference: 378582724 / 381494324
Total CPU difference: 37196.34375 / 43081.984375

There are differences in images found by testdiff:

http://occt-tests/CR24835-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24835-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
(0029273)
aba (developer)
2014-05-12 12:12

The git branch CR24835_1 is ready for review.
PrsMgr_Presentation::UpdateBeforeHighlightState() was added to update structure display state before and after highlighting if necessary.

Dear apl,

please review.
(0029279)
apl (developer)
2014-05-12 15:18

Dear Bugmaster,

The branch CR24835_1 is reviewed, please test.
(0029331)
apv (tester)
2014-05-14 17:46

Dear BugMaster,

 Branch CR24835_1 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
 SHA-1: 24e3ab02df2aa0d8ad17cb60d9fafef9c12fb82e

 Number of compiler warnings:

 occt component :
 Linux: 17 (17 on master)
 Windows: 0 (0 on master)
 MacOS: 205 (212 on master)

 products component :
 Linux: 11 (11 on master)
 Windows: 2 (2 on master)

 Regressions/Differences:
No regressions

 Testing cases:
http://occt-tests/CR24835-1-master-occt/Debian60-64/bugs/vis/bug24835.html [^] [^]
http://occt-tests/CR24835-1-master-occt/Windows-32-VC9/bugs/vis/bug24835.html [^] [^]
 bugs vis(004) bug24835: OK

 Testing on Linux:
Total MEMORY difference: 356071092 / 355968116
Total CPU difference: 54980.03999999971 / 51289.87999999977

 Testing on Windows:
Total MEMORY difference: 379362604 / 379216016
Total CPU difference: 40975.59375 / 32475.703125

 There are differences in images found by testdiff:
http://occt-tests/CR24835-1-master-occt/Debian60-64/diff-Debian60-64.html [^] [^]
http://occt-tests/CR24835-1-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^] [^]
(0029397)
aba (developer)
2014-05-19 16:44

The git branch CR24835_1 was updated.

Dear apl,

please review.
(0029400)
apl (developer)
2014-05-19 17:10

Dear Bugmaster,

The branch is reviewed, please test.
(0029470)
apn (administrator)
2014-05-22 16:15
edited on: 2014-05-22 17:28

Dear BugMaster,

Branch CR24835_1 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: 036113ad98e64efbbb27b06c6dd8f7026ce654f2

Number of compiler warnings:

occt component :
Linux: 17 (17 on master)
Windows: 0 (0 on master)
MacOS: 202 (205 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions

Testing cases:
bugs vis bug24835 - OK
http://occt-tests/CR24835-1-master-occt/Debian60-64/bugs/vis/bug24835.html [^]
http://occt-tests/CR24835-1-master-occt/Windows-32-VC9/bugs/vis/bug24835.html [^]

Testing on Linux:
Total MEMORY difference: 354928052 / 357245932
Total CPU difference: 62662.99999999982 / 56361.57999999993

Testing on Windows:
Total MEMORY difference: 379198520 / 379613936
Total CPU difference: 41809.1875 / 35503.3125

There are no differences in images found by testdiff.


- Related Changesets
occt: master 3ae59031
Timestamp: 2014-05-22 14:15:21
Author: aba
Committer: apn
Details ] Diff ]
0024835: Graphic structure for highlighting is not erased if presentable object for highlight is deleted

Corrections in highlight state checks.
mod - src/PrsMgr/PrsMgr_Presentation.cdl Diff ] File ]
mod - src/PrsMgr/PrsMgr_Presentation.cxx Diff ] File ]
add - tests/bugs/vis/bug24835 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-15 19:16 aba New Issue
2014-04-15 19:16 aba Assigned To => aba
2014-04-15 19:17 aba Summary Graphic structure for highlighting is not erased if presentable object for selection is deleted. => Graphic structure for highlighting is not erased if presentable object for highlight is deleted.
2014-04-15 19:17 aba Status new => assigned
2014-04-17 16:33 aba Note Added: 0028939
2014-04-17 16:33 aba Assigned To aba => apl
2014-04-17 16:33 aba Status assigned => resolved
2014-04-17 18:30 aba Steps to Reproduce Updated View Revisions
2014-04-17 19:04 apl Note Added: 0028951
2014-04-17 19:04 apl Assigned To apl => bugmaster
2014-04-17 19:04 apl Status resolved => reviewed
2014-04-18 17:16 mkv Assigned To bugmaster => mkv
2014-04-23 17:16 mkv Note Added: 0029040
2014-04-23 17:16 mkv Test case number => bugs vis(004) bug24835
2014-04-23 17:16 mkv Assigned To mkv => aba
2014-04-23 17:16 mkv Status reviewed => assigned
2014-05-12 12:12 aba Note Added: 0029273
2014-05-12 12:12 aba Assigned To aba => apl
2014-05-12 12:12 aba Status assigned => resolved
2014-05-12 15:18 apl Note Added: 0029279
2014-05-12 15:18 apl Assigned To apl => bugmaster
2014-05-12 15:18 apl Status resolved => reviewed
2014-05-14 17:46 apv Note Added: 0029331
2014-05-14 17:47 apv Assigned To bugmaster => aba
2014-05-14 17:47 apv Status reviewed => assigned
2014-05-14 17:47 apv Target Version => 6.8.0
2014-05-19 16:44 aba Note Added: 0029397
2014-05-19 16:44 aba Assigned To aba => apl
2014-05-19 16:44 aba Status assigned => resolved
2014-05-19 17:10 apl Note Added: 0029400
2014-05-19 17:10 apl Assigned To apl => bugmaster
2014-05-19 17:10 apl Status resolved => reviewed
2014-05-21 16:47 apn Assigned To bugmaster => apn
2014-05-22 16:15 apn Note Added: 0029470
2014-05-22 16:16 apn Assigned To apn => bugmaster
2014-05-22 16:16 apn Status reviewed => tested
2014-05-22 17:28 apn Note Edited: 0029470 View Revisions
2014-05-23 14:25 apn Changeset attached => occt master 3ae59031
2014-05-23 14:25 apn Assigned To bugmaster => apn
2014-05-23 14:25 apn Status tested => verified
2014-05-23 14:25 apn Resolution open => fixed
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker